select
  an.numero as brinco
  , (select first 1
    ga.descricao
    from
    movgrupo mg
    join movgrupoanimal mga on mg.cdmovgrupo=mga.cdmovgrupo
    join grupoanimal ga on mg.cdgrupoanimal=ga.cdgrupoanimal
    where
    mg.cdtipogrupoanimal=3 and mga.cdanimal=lei.cdanimal and mg.dtmovimentacao<=lei.dtleite order by mg.dtmovimentacao desc) as lote
  , lac.dtinicio as parto
  , lei.dtleite as data
  , lei.hrordenha1 as hora
  , lei.peso1 as peso
  , lei.dtordenha2 as data2
  , lei.hrordenha2 as hora2
  , lei.peso2 as peso2
  , lei.dtordenha3 as data3
  , lei.hrordenha3 as hora3
  , lei.peso3 as peso3
  , lei.pesototal as leite24h
  , an.regassocraca as registro
from
  animal an
  join leite lei on lei.cdanimal = an.cdanimal
  join lactacao lac on lac.cdlactacao = lei.cdlactacao
where
/*PREENCHA A DATA DESEJADA NO FORMATO AAAA-MM-DD*/ lei.dtleite = '2000-01-31'
order by
  an.numordenado
